Does Folx support Google Chrome?

At the moment Folx doesn`t support Google Chrome. Our Development team has been already notified about this issue, but we can`t promise that the fix will be implemented in the nearest release of Folx.

Currently Folx is fully compatible with Safari, Firefox and Opera browsers.

We would recommend you to subscribe to our RSS feed to be the first to know about Folx fixes and updates: https://mac.eltima.com/rss/en-downloader.rss